• Please help support our sponsors by considering their products and services.
    Our sponsors enable us to serve you with this high-speed Internet connection and fast webservers you are currently using at ADSM.ORG.
    They support this free flow of information and knowledge exchange service at no cost to you.

    Please welcome our latest sponsor Tectrade . We can show our appreciation by learning more about Tectrade Solutions
  • Community Tip: Please Give Thanks to Those Sharing Their Knowledge.

    If you receive helpful answer on this forum, please show thanks to the poster by clicking "LIKE" link for the answer that you found helpful.

  • Community Tip: Forum Rules (PLEASE CLICK HERE TO READ BEFORE POSTING)

    Click the link above to access ADSM.ORG Acceptable Use Policy and forum rules which should be observed when using this website. Violators may be banned from this website. This notice will disappear after you have made at least 3 posts.

TSM 8.1 will work with AIX 5.3 (oracle 10.2)

okriss

ADSM.ORG Member
#1
Hello,

I gave to upgrade the 7.1.3 TSM server to 8.1.x.
I have collected the needed information about version compatibility, but i have problem with AIX versions.

As I see, (https://www-01.ibm.com/support/docview.wss?uid=swg21053218 ) the 6.3.x client can work with the new 8.1, so i wont have to upgrade every client in our environment.
We have AIX 5.3 with Oracle 10.2. (AIX is end of support...I think Ora version is in the same situation...)
Can you help me with which AIX and Oracle version can work with the Spectrum Protect 8.1.x?

Thank you for your help!
 

RecoveryOne

ADSM.ORG Senior Member
#2
I'm sorry, are you looking to get AIX 5.3 and Oracle 10.2 working with TSM 8.1?
Or you looking to upgrade AIX and Oracle to supported versions?
This here is a great starting point https://www-01.ibm.com/support/docview.wss?uid=swg21218747

If looking to have Oracle 10.2 work with TSM 8.1, I had some bad luck with that. In the end, we finally upgraded Oracle and the TSM/TDPO client.
In the mean time, the work around was to have the DBA's drop flat file backups to disk and come by with traditional client to capture them.
 

okriss

ADSM.ORG Member
#3
I'm sorry, are you looking to get AIX 5.3 and Oracle 10.2 working with TSM 8.1?
Hi,
Thank you for your answer!

I have not been very clear.
So...We have AIX 5.3 and Oracle 10.2 with baclient 5.5.0.6 ( we makes oracle db backup with tdpo 5.5.1) i would be very happy if we should not upgrade the AIX os and the Oracle version...
I cannot find the proper list for AIX and TDPO versions...and i try to reach the highest version without AIX/oracle upgrade what can work with 8.1.x SpecPortect server.

At the top of on my link, i found a frame what show the compatibility between clients and server versions.
As i see 8.1.x server is able to work with client 6.3 (and above), in this case, i have no other chance and i have to upgrade aix and oracle....
Could it be real?
 

RecoveryOne

ADSM.ORG Senior Member
#4
So the link I posted above is the supported version list.
So really 7 and 8 is the current supported list along with Oracle 11r2 and 12.
I can only speak from my experience with Oracle 10 on Aix 6.1.7.4 with TDP api 5.5 and client 6.3 I think? I'm sorry, its been too long, and well....it didn't work with TSM server 7.1.x.

The sad news is its so far out of support, both Oracle and IBM will wash their hands if there's any issues and will not provide any assistance with backups/restores.
 

okriss

ADSM.ORG Member
#5
I have been reading the compatibility descriptions days ago... :)
I could not find any workaround, but i think, it doesn't exist at all.
Thank you for your help! Helped me a lot!
 

RecoveryOne

ADSM.ORG Senior Member
#6
The work around is to have backup to flat files on attached disk.
Use the regular client to capture those backups with the appropriate management class. Just keep in mind that the regular client is out of support as well, which could cause issues down the road.
 

okriss

ADSM.ORG Member
#7
Hello!

Some update for this thread!

As you recommended, i have tested the backups.
The file level backups and restore ran well (win + linux + aix). I could make backups from oracle db and its completed without any error, but when we ran backup validation with rrman scripts it crashed.
We cannot test the backups...
So, we had let it go!
 

Advertise at ADSM.ORG

If you are reading this, so are your potential customer. Advertise at ADSM.ORG right now.

UpCloud high performance VPS at $5/month

Get started with $25 in credits on Cloud Servers. You must use link below to receive the credit. Use the promo to get upto 5 month of FREE Linux VPS.

The Spectrum Protect TLA (Three-Letter Acronym): ISP or something else?

  • Every product needs a TLA, Let's call it ISP (IBM Spectrum Protect).

    Votes: 16 18.8%
  • Keep using TSM for Spectrum Protect.

    Votes: 52 61.2%
  • Let's be formal and just say Spectrum Protect

    Votes: 10 11.8%
  • Other (please comement)

    Votes: 7 8.2%

Forum statistics

Threads
31,451
Messages
133,985
Members
21,549
Latest member
idhelmyy
Top